Package org.astrogrid.samp.web

# Interface ClientAuthorizer

All Known Implementing Classes:
  `ExtremeSwingClientAuthorizer`, `HubSwingClientAuthorizer`

public interface ClientAuthorizer
Defines authorization functionality which is used to determine whether a client is permitted to register with the hub.

Since:
  2 Feb 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`authorize(HttpServer.Request request, Map securityMap)`
Indicates whether an HTTP request representing an otherwise unauthorized connection attempt will be permitted access to sensitive system resources.

## Method Details

### authorize

void authorize(HttpServer.Request request, Map securityMap) throws SampException
Indicates whether an HTTP request representing an otherwise unauthorized connection attempt will be permitted access to sensitive system resources. If so, the method exits normally. If authorization is denied, a SampException is thrown, with a message that indicates the reason for denial.

Parameters:
  `request` - incoming HTTP request
  `securityMap` - credential items supplied explicitly by aspiring client to support its registration request
Throws:
  `SampException` - with reason if authorization is denied